package com.realnet.angulardatatype.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.angulardatatype.Entity.Basicp1;
import com.realnet.angulardatatype.Services.Basicp1Service ;
























@RequestMapping(value = "/Basicp1")
 @CrossOrigin("*") 
@RestController
public class Basicp1Controller {
	@Autowired
	private Basicp1Service Service;

@Value("${projectPath}")
	private String projectPath;
 
























	@PostMapping("/Basicp1")
		  public Basicp1 Savedata(@RequestBody Basicp1 data) {
		Basicp1 save = Service.Savedata(data)	;























		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Basicp1/{id}")
	public  Basicp1 update(@RequestBody Basicp1 data,@PathVariable Integer id ) {
		Basicp1 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Basicp1/getall/page")
	public Page<Basicp1> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Basicp1> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Basicp1")
	public List<Basicp1> getdetails() {
		 List<Basicp1> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Basicp1")
	public List<Basicp1> getallwioutsec() {
		 List<Basicp1> get = Service.getdetails();		
		return get;
}
@GetMapping("/Basicp1/{id}")
	public  Basicp1  getdetailsbyId(@PathVariable Integer id ) {
		Basicp1  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Basicp1/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

























}